/*
 * @Author: PoJun
 * @Date: 2023-03-07 14:46:02
 * @LastEditors: PoJun
 * @LastEditTime: 2023-06-20 19:47:11
 * @Message: Nothing
 */
import { $get, $post } from "../config/http.js";
// 登录
export const apiLogin = data => {
    return $post({ url: "/login_back", data });
};

/** 退出登录 */
export const apiLogout = reqConfig => {
    return $get({ url: "/logout", reqConfig });
};

// 修改商户信息
export const editInfo = (pathAdd, reqConfig, data) => {
    return $post({ url: "/mall_merchants/{0}/info", pathAdd, reqConfig, data });
};

// 修改商户状态
export const editState = (pathAdd, reqConfig, data) => {
    return $post({ url: "/mall_merchants/{0}/state", pathAdd, reqConfig, data });
};
