/*
 * @Author: PoJun
 * @Date: 2023-02-23 15:51:30
 * @LastEditors: PoJun
 * @LastEditTime: 2023-05-31 16:23:53
 * @Message: Nothing
 */
import Vue from "vue";
import loading from "./loading.vue";

const $app = Vue.extend(loading);
const $loading = new $app().$mount(document.createElement("div"));
document.body.appendChild($loading.$el);
export default {
    install(vm) {
        vm.prototype.$loading = {
            show: disableClose => {
                if (disableClose) {
                    $loading.disableClose = true;
                }
                $loading.show = true;
            },
            hide: enableClose => {
                if (!$loading.disableClose || enableClose) {
                    $loading.disableClose = false;
                    $loading.show = false;
                }
            },
        };
    },
};
